import { Plugin, ToolbarItemType } from '../plugin';
export type PrintPluginParams = {
    resolution?: number;
};
export declare class PrintPlugin extends Plugin<PrintPluginParams> {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private printService?;
    private printAnnotationStoragePromise?;
    get scriptingManager(): import('../scripting').ScriptingManager | undefined;
    get supportsPrinting(): boolean;
    protected init(): void;
    protected destroy(): void;
    triggerPrint(): void;
    private onBeforePrint;
    private abortPrint;
    private onAfterPrint;
    private setupAutoPrint;
}
